import React from 'react'
import { Switch, Route } from 'react-router'
import UserList from './users/components/UserList'
import LoginForm from './users/components/LoginForm'
import ConfigList from './config/components/ConfigList'

class Routes extends React.Component {
    render () {
        return (
    <main>
        <Switch>
            {console.log('Route props', this.props)}
            <Route path='/users' render={() => (<UserList {...this.props}/>)} />
            <Route path='/login' render={() => (<LoginForm {...this.props}/>)} />
            <Route path='/config' render={() => (<ConfigList {...this.props}/>)} />
        </Switch>
    </main>
        )
    }
}
/*const Routes = () => (
    
)*/

export default Routes