import mongoose from 'mongoose'

const MatchListSchema = new mongoose.Schema({
    imported: Date,
    file: { type: String, unique: true },
    fileSize: Number,
    matches: [{ type: mongoose.Schema.Types.ObjectId, ref: 'Match' }]
})

const MatchList = mongoose.model('MatchList', MatchListSchema)

export default MatchList
